#pragma once

#include "PdfObject.h"

#include <vector>

class PdfOutline : public PdfObject
{
public:
    std::string ToString(PdfXRefTable* xRefTable) override;
};
using PdfOutlinePtr = std::unique_ptr<PdfOutline>;

class PdfOutlineCollection : public PdfObject
{
public:

    unsigned IndexObjects(unsigned count) override;

    std::string ToString(PdfXRefTable* xRefTable) override;

    void UpdateDictionary();

private:
    std::vector<PdfOutlinePtr> mOutlines;
};
